com.hammurapi.common.concurrent

## Class InvocationImpl<K>

- java.lang.Object
- - com.hammurapi.common.concurrent.InvocationImpl<K>

- All Implemented Interfaces:
    Invocation<K>, Cloneable

      public class InvocationImpl<K>
      extends Object
      implements Invocation<K>, Cloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvocationImpl()`
    `InvocationImpl(Invocation<K> source)`
    `InvocationImpl(Object[] arguments, PropertySet<K> propertySet, Context context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `Object[]` | `getArguments()`
    `Context` | `getContext()`
    `PropertySet<K>` | `getPropertySet()`
    `void` | `setArguments(Object[] arguments)`
    `void` | `setContext(Context context)`
    `void` | `setPropertySet(PropertySet<K> propertySet)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvocationImpl

          public InvocationImpl()

    - #### InvocationImpl

          public InvocationImpl(Invocation<K> source)

    - #### InvocationImpl

          public InvocationImpl(Object[] arguments,
                        PropertySet<K> propertySet,
                        Context context)

  - ### Method Detail

    - #### getArguments

          public Object[] getArguments()

      Specified by:
        `getArguments` in interface `Invocation<K>`

    - #### getPropertySet

          public PropertySet<K> getPropertySet()

      Specified by:
        `getPropertySet` in interface `Invocation<K>`

    - #### getContext

          public Context getContext()

      Specified by:
        `getContext` in interface `Invocation<K>`

    - #### clone

          public Object clone()
                       throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### setArguments

          public void setArguments(Object[] arguments)

    - #### setPropertySet

          public void setPropertySet(PropertySet<K> propertySet)

    - #### setContext

          public void setContext(Context context)